import React from 'react';
import ReactDOM from 'react-dom';

import { BackgroundCircle } from './BackgroundCircle';
import { Eyes } from './Eyes';
import { Mouth } from './Mouth';


const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 20;

const eyeOffsetX = 90;
const eyeOffsetY = 90;
const eyeRadius = 50;

const mouthWidth = 40;
const mouthRadius = 150;

// const data = 10; //d3.range(m);

// const omega = -.22;
// const freq = Math.PI*.4 + 3 * omega; // * 3000
// const theta = freq * 5 * Math.PI * 4;

const App = () => (
  <svg width = {width} height = {height}>
    <g transform={`translate(${centerX},${centerY})`}>
      
      <BackgroundCircle radius={centerY - strokeWidth / 2} 
        strokeWidth={strokeWidth}/>
      
   	<Eyes
      eyeOffsetX={eyeOffsetX}
      eyeOffsetY={eyeOffsetY} 
      eyeRadius={eyeRadius}
      strokeWidth={strokeWidth}
      />
      
      <Mouth
        mouthRadius={mouthRadius}
        mouthWidth={mouthWidth}
        />
      
     </g> 
  </svg>
  

);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);

/*
const svg = select('svg');
   
const height = parseFloat(svg.attr('height'));
const width = +svg.attr('width'); // + is short hand for parseFloat

const g = svg.append('g')
	.attr('transform', `translate(${width /2}, ${height /2})`);

const circle = g.append('circle')
  .attr('r', 200)
  .attr('fill', 'yellow')
  .attr('stroke', 'black');

//circle.attr('cx', width / 2)
//circle.attr('cy', height / 2);


const eyeOffset = 100;
const eyeHeight = -70;
const eyebrowWidth = 50;
const eyebrowHeight = 20;
const eyebrowYOffset = -70;

const eyesG = g.append('g')
	.attr('transform', `translate(0, ${eyeHeight})`);

const eyesbrowsG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${eyebrowYOffset})`);

eyesbrowsG
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
		//.attr('y', eyebrowYOffset - 50)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${eyebrowYOffset})`);
//		.attr('y', eyebrowYOffset);
    
const leftEye = eyesG.append('circle')
  .attr('r', 30)
  .attr('cx', - eyeOffset)
	
const rightEye = eyesG.append('circle')
  .attr('r', 30)
  .attr('cx', + eyeOffset)

const leftEyebrow = eyesbrowsG
  .append('rect')
    .attr('x', -eyeOffset - eyebrowWidth / 2 )
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);

const rightEyebrow = eyesbrowsG
	.append('rect')
    .attr('x', eyeOffset - eyebrowWidth / 2 )
    .attr('y', eyebrowYOffset)
    .attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight);
    //.transition().duration(2000)
    //	.attr('y', eyebrowYOffset - 50)
    //.transition().duration(2000)
    //	.attr('y', eyebrowYOffset);

const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 0,
      outerRadius: 180,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 1.5 })); 

*/